Bug 812318 - openjpeg: Heap memory corruption leading to invalid free by processing certain Gray16 TIFF images [fedora-all]
Summary: openjpeg: Heap memory corruption leading to invalid free by processing certai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openjpeg
Version: 16
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2009-5030
TreeView+ depends on / blocked
 
Reported: 2012-04-13 11:28 UTC by Jan Lieskovsky
Modified: 2016-02-01 01:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 03:35:57 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-04-13 11:28:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=812317

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2012-07-11 03:35:57 UTC
This issue has been resolved in fedora-16 and fedora-17 via the following updated packages:

openjpeg-1.4-13.fc16
openjpeg-1.4-13.fc17


Note You need to log in before you can comment on or make changes to this bug.